apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  annotations:
    nginx.ingress.kubernetes.io/configuration-snippet: |
      set $proxy_upstream_name "ingress-nginx-oauth2-proxy-4180";
  name: private-bin-auth
spec:
  rules:
  - host: pbin.z8s.zooxlabs.com
    http:
      paths:
      - backend:
          serviceName: private-bin
          servicePort: 80
        path: /oauth2
  - host: pbin.zooxlabs.com
    http:
      paths:
      - backend:
          serviceName: private-bin
          servicePort: 80
        path: /oauth2
  tls:
  - hosts:
    - pbin.zooxlabs.com
  - hosts:
    - pbin.z8s.zooxlabs.com
    secretName: z8s-cert
